Get Users for an Instance Transition

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the list of pending and completed users for a specific transition within a workflow instance.

Use this to identify assignees or approvers for a given transition.

Endpoints

OAuth Scope

WorkDrive.workflowinstances.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/api/v1/workflowinstances/{instance_id}/transitionusers?filter%5Btransition_id%5D={transition_id}' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

instance_idstring(Required)

The unique ID of the workflow instance.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[transition_id]string(Required)

The ID of the transition for which pending users must be retrieved.

filter[status]string(Optional)

Allowed values: "in_progress", "completed".
Use this to fetch pending or completed users for the transition.

Allowed Values :
Show Values
in_progressCopied!
completedCopied!
Copied!Copy all as JSON Array
page[limit]string(Optional)

Limit indicates the number of items to be listed.

(The maximum limit is 50).

For More Details about pagination. refer here

page[offset]string(Optional)

Offset indicates from where the listing should start.

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003062-68544415",
        "type": "transitionusers",
        "attributes": {
          "instance_id": "sfftbc5c0bf2f5d234f289b24d675b5e02507-7321386000000367116",
          "user_id": "68544415",
          "user_name": "Sofia",
          "user_type_str": "NORMAL_USER",
          "transition_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003062",
          "user_avatar_url": "https://contacts.zoho.com/file?t=user&ID=68544415&fs=thumb&nps=404",
          "status": 1
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/transitionusers/sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003062-68544415"
        }
      },
      {
        "id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003062-68900373",
        "type": "transitionusers",
        "attributes": {
          "instance_id": "sfftbc5c0bf2f5d234f289b24d675b5e02507-7321386000000367116",
          "user_id": "68900373",
          "user_name": "Zylker",
          "user_type_str": "NORMAL_USER",
          "transition_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003062",
          "user_avatar_url": "https://contacts.zoho.com/file?t=user&ID=68900373&fs=thumb&nps=404",
          "status": 0
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/transitionusers/sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003062-68900373"
        }
      }
    ],
    "meta": {
      "total_user_count": 2
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full